Package com.databricks.jdbc.auth

## Class OAuthRefreshCredentialsProvider

- java.lang.Object
- - com.databricks.sdk.core.oauth.RefreshableTokenSource
  - - com.databricks.jdbc.auth.OAuthRefreshCredentialsProvider

All Implemented Interfaces:
  `com.databricks.sdk.core.CredentialsProvider`, `com.databricks.sdk.core.oauth.TokenSource`

    public class OAuthRefreshCredentialsProvider
    extends com.databricks.sdk.core.oauth.RefreshableTokenSource
    implements com.databricks.sdk.core.CredentialsProvider

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Fields inherited from class com.databricks.sdk.core.oauth.RefreshableTokenSource

`token`

### Constructor Summary

Constructors
`OAuthRefreshCredentialsProvider​(IDatabricksConnectionContext context)`
`OAuthRefreshCredentialsProvider​(IDatabricksConnectionContext context, OAuthEndpointResolver oAuthEndpointResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `authType()`
`com.databricks.sdk.core.HeaderFactory` `configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`protected com.databricks.sdk.core.oauth.Token` `refresh()`

### Methods inherited from class com.databricks.sdk.core.oauth.RefreshableTokenSource

`getToken, retrieveToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### OAuthRefreshCredentialsProvider

    public OAuthRefreshCredentialsProvider​(IDatabricksConnectionContext context,
                                           OAuthEndpointResolver oAuthEndpointResolver)

#### OAuthRefreshCredentialsProvider

    public OAuthRefreshCredentialsProvider​(IDatabricksConnectionContext context)

### Method Detail

#### authType

    public String authType()

Specified by:
  `authType` in interface `com.databricks.sdk.core.CredentialsProvider`

#### configure

    public com.databricks.sdk.core.HeaderFactory configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)

Specified by:
  `configure` in interface `com.databricks.sdk.core.CredentialsProvider`

#### refresh

    protected com.databricks.sdk.core.oauth.Token refresh()

Specified by:
  `refresh` in class `com.databricks.sdk.core.oauth.RefreshableTokenSource`